doctype html
.account
  h1 My Account
  md-tab-group.group
    //- buyer
    md-tab(label='Buyer')
      .section
        h2 My Orders
      //- table
      ngx-datatable.material.striped(
        [rows]='orders',
        [rowHeight]='60',
        [columnMode]="'force'",
      )
        //- id
        ngx-datatable-column(name='Id', [width]='150')
          ng-template(let-column='column', ngx-datatable-header-template)
            span {{ column.name }}
          ng-template(let-value='value', ngx-datatable-cell-template)
            span {{ value }}
        //- amount
        ngx-datatable-column(name='Amount')
          ng-template(let-column='column', ngx-datatable-header-template)
            span {{ column.name }}
          ng-template(let-value='value', ngx-datatable-cell-template)
            md-chip-list
              md-chip {{ value | currency:'USD':true }}
        //- payment
        ngx-datatable-column(name='Payment')
          ng-template(let-column='column', ngx-datatable-header-template)
            span {{ column.name }}
          ng-template(let-value='value', ngx-datatable-cell-template)
            span {{ value }}
        //- date
        ngx-datatable-column(name='Date')
          ng-template(let-column='column', ngx-datatable-header-template)
            span {{ column.name }}
          ng-template(let-value='value', ngx-datatable-cell-template)
            span {{ value }}
        //- actions
        ngx-datatable-column
          ng-template(ngx-datatable-header-template)
            span Details
          ng-template(let-row='row', ngx-datatable-cell-template)
            button(md-icon-button, color='primary')
              md-icon pageview
    //- seller
    md-tab(label='Seller')
      .section
        h2 My Products
      //- table
      ngx-datatable.material.striped(
        [rows]='productsService.items',
        [rowHeight]='60',
        [columnMode]="'force'",
      )
        //- image
        ngx-datatable-column([width]='150')
          ng-template(let-column='column', ngx-datatable-header-template)
            span Image
          ng-template(let-row='row', ngx-datatable-cell-template)
            img.image(src='/assets/images/products/{{ row.slug }}.jpg', [routerLink]='[productsService.basePath, row.slug]')
        //- name
        ngx-datatable-column(name='Name', [width]='150')
          ng-template(let-column='column', ngx-datatable-header-template)
            span {{ column.name }}
          ng-template(let-row='row', ngx-datatable-cell-template)
            span.name([routerLink]='[productsService.basePath, row.slug]') {{ row.name }}
        //- price
        ngx-datatable-column(name='Price')
          ng-template(let-column='column', ngx-datatable-header-template)
            span {{ column.name }}
          ng-template(let-value='value', ngx-datatable-cell-template)
            md-chip-list
              md-chip {{ value | currency:'USD':true }}
        //- enable
        ngx-datatable-column([width]='100')
          ng-template(ngx-datatable-header-template)
            span Cover
          ng-template(let-row='row', ngx-datatable-cell-template)
            md-slide-toggle(color='primary', [checked]='true')
